.pragma library

// There's no getElementsByTagName method in QML
// ([http://www.mail-archive.com/qt-qml@trolltech.com/msg01024.html]), so we'll
// implement our own version.
function getElementsByTagName(rootElement, tagName) {
    var childNodes = rootElement.childNodes;
    var elements = [];
    for(var i = 0; i < childNodes.length; i++) {
        if(childNodes[i].nodeName === tagName) {
            elements.push(childNodes[i]);
        }
    }
    return elements;
}

function getAttributeValue(element, attName) {
    var attributes = element.attributes;
    for(var i = 0; i < attributes.length; i++)
        if(attributes[i].name === attName)
            return attributes[i].value;
    return null;
}
