import QtQuick 1.1

Item {
    property int fontCorrection: 0
    property bool addToFavOnReply: false

    //Addons
    property bool commentsUniversalEnabled: true
    property bool searchUniversalEnabled: true
    property bool allowRecommendNews: true
    
    //fonts
    property int fontSizeXS: 14
    property int fontSizeS: 16
    property int fontSizeM: 18
    property int fontSizeL: 22
    property int fontSizeXL: 26
    property int fontSizeXXL: 30

    // Margins
    property int smallMargin: 5
    property int mediumMargin: 12
    property int largeMargin: 20
    property int hugeMargin: 30
    
    //Pictures
    property int newsPreviewPicturesSize: 80
    property int galleryPreviewPicturesSize: 150

    //Colors
    property color lightColor: "#FFFFFF"
    property color darkColor: "#191919"
    property color errorColor: "red"
    property color nokiotecaBlue: "#1D3652"
    property color nokiotecaYellow: "#EFC93A"
}
