﻿function checkAndSendComment(userName, userMail, userSite, userComment) {
    if(!AppSettings.getPrivacyAgreement()) {
        privacyAgreementQueryLoader.show(userName, userMail, userSite, userComment);
        return;
    }

    if(busyIndicator)
        busyIndicator.opacity = 1;

    AppSettings.setLastUsedName(userName);
    AppSettings.setLastUsedMail(userMail);
    if(userSite.length !== 0)
        AppSettings.setLastUsedSite(userSite);

    if(settings.addToFavOnReply) {
        if(isWindowsteca)
            AppSettings.setWindowstecaFavourite(replyToNewsId, commentsCount);
        else
            AppSettings.setFavourite(replyToNewsId, commentsCount, isWindowsteca);
            
        isFavourite = true;
    }
        
    sendComment(replyToNewsId, replyToParentId, userName, userMail, userSite, userComment);
}


function sendComment(postId, parentId, userName, userMail, userSite, commentText) {
    var req = AjaxScript.createXMLHttpRequest();

    if(req) {
        var url;
        if(isWindowsteca) {
            url = nokioteca.getWindowstecaAddCommentUrl(postId,
                                             userName.trim(),
                                             userMail.trim(),
                                             encodeURIComponent(userSite.trim()),
                                             parentId
            );
        }
        else {
            url = nokioteca.getAddCommentUrl(postId,
                                             userName.trim(),
                                             userMail.trim(),
                                             encodeURIComponent(userSite.trim()),
                                             parentId
            );
        }

        commentText += "\n\n[Inviato da Nokioteca 2.0 per MeeGo]"
        AjaxScript.loadXMLDoc(req, url, showPostData, commentText);
    }
}

function showPostData(xml, text) {
    if(busyIndicator)
        busyIndicator.opacity = 0;

    if(text === "OK") {
        sendConfirmed.open();
    }
    else {
        infoBanner.text = "Errore nell'invio del commento"
        infoBanner.iconSource = "qrc:images/ko.png"
        infoBanner.show();
    }
}
